/*
 * Copyright (c) 2001-2003 Shiman Associates Inc. All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
#ifndef _PROFILE_H
#define _PROFILE_H

const char   profile_name[]         = "func";
const char   profile_purpose[]      = "Generate test tones and signals";
const char   profile_description[]  = "The func device is an audio function generator.  It can produce sine, triangle, and square wave shapes, as well as white and pink filtered noise.";
const char   profile_license[]      = "Copyright (c) 2001-2003 Shiman Associates Inc. All Rights Reserved.\n\nPermission is hereby granted, free of charge, to any person\nobtaining a copy of this software and associated documentation\nfiles (the \"Software\"), to deal in the Software without\nrestriction, including without limitation the rights to use, copy,\nmodify, merge, publish, distribute, sublicense, and/or sell copies\nof the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS\nBE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN\nACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN\nCONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.\n";
const uint8  profile_major_version  = 0;
const uint8  profile_minor_version  = 6;
const uint8  profile_teeny_version  = 0;
const uint8  profile_patchlevel  = 0;
const char   profile_build_host[]   = "mas.shiman.com";
const char   profile_build_date[]   = __DATE__;
const char   profile_reentrant      = TRUE;
const char   profile_ntpts_acc      = FALSE;
const char   profile_mts_acc        = FALSE;

const char*  profile_action_names[] =
{
    "mas_dev_init_instance",
    "mas_dev_exit_instance",
    "mas_dev_terminate",
    "mas_dev_show_state",
    "mas_dev_configure_port",
    "mas_dev_disconnect_port",
    "mas_func_gen",
    "mas_source_play",
    "mas_source_stop",
    "mas_get",
    "mas_set",
    "" /* needs terminator */
};

/* this is fixed to the CD rate for now... */
const char* mas_func_cmatrix[][6] = 
{
    { "format", "resolution", "channels", "sampling rate", "endian", "" },
    { "linear", "16",         "2",        "44100",         "host",   "" },
    { "", "",         "",        "",         "",                     "" },
};

/* These are the symbol names of the characteristic matrices used by
   this device.  The loader must resolve these.  They may include
   local characteristic matrices, or standard ones from
   mas_cmatrix.h.  The list must be null terminated. */
char* profile_cmatrix_names[] =
{
    "mas_func_cmatrix",
    "" /* needs terminator */
};

const char* profile_ports[][3] =
{
    { "func_source", "source", "mas_func_cmatrix" },
    { "", "", "" },
};


#endif /* _PROFILE_H */
